import { Singleton } from "../Common/Singleton";
import { Command } from "../Editor/CommandMachine";
import { IConfigOption } from "../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../UI/Store/BoardStore";
import { IAutoHoleFaceOption, IUiOption } from "../UI/Store/OptionInterface/IOptionInterface";
export declare class AutoHoleFaceSetting implements Command {
    exec(): Promise<void>;
}
export declare class AutoHoleFaceSettingStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: IAutoHoleFaceOption;
    uiOption: IUiOption<IAutoHoleFaceOption>;
    InitOption(): void;
    get UiOption(): IUiOption<IAutoHoleFaceOption>;
    SaveConfig(): IConfigOption<IAutoHoleFaceOption>;
    UpdateOption(conf: IConfigOption<any>): void;
    HasInvailValue(): string;
}
export declare const autoHoleFaceSettingStore: AutoHoleFaceSettingStore;
//# sourceMappingURL=AutoHoleFaceSetting.d.ts.map