import { Vector3 } from "three";
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { ExtrudeContour, ExtrudeSolid } from "../../DatabaseServices/Entity/Extrude";
import { Command } from "../../Editor/CommandMachine";
export declare class CuttingByFace implements Command {
    exec(): Promise<void>;
    protected GetExtrudeContours(): Promise<{
        useCurvesMap?: Map<ExtrudeContour, Entity[]>;
    }>;
    setHeight(en: ExtrudeSolid, dist: number, oldPosition: Vector3): void;
    private GetKnifeRadius;
    private GetMeatsBoards;
}
export declare class CuttingByRectFace extends CuttingByFace {
    protected GetExtrudeContours(): Promise<{
        useCurvesMap?: Map<ExtrudeContour, Entity[]>;
    }>;
}
//# sourceMappingURL=CuttingByFace.d.ts.map