import { Board } from "../../DatabaseServices/Entity/Board";
import { HardwareCompositeEntity } from "../../DatabaseServices/Hardware/HardwareCompositeEntity";
export declare function CuttingBoardByBoard(meats: Board[], knifs: Board[], isRelevance?: boolean): void;
/**
 * 五金切板
 *
 * @export
 * @param {Board[]} meats  被切割的板
 * @param {HardwareCompositeEntity[]} hardwares 五金当做刀
 * @param {boolean} [relevanceCut=true] 默认是关联切割
 * @return {*}  {Promise<void>}
 */
export declare function CuttingBoardByHardware(meats: Board[], hardwares: HardwareCompositeEntity[], relevanceCut?: boolean): Promise<void>;
//# sourceMappingURL=CuttingUtils2.d.ts.map