import { Polyline } from "../../DatabaseServices/Entity/Polyline";
/**
 * 线性切割多线段
 * @param {Polyline} meatPl 被切割的曲线
 * @param {Polyline[]} knifePls 刀曲线
 * @param {boolean} [isSweep = false] 是否为圆弧板(被切割的曲线是否为圆弧板的轮廓)
 * @return {Polyline[]} 切割后的多线段
 */
export declare function SplitPolyline(meatPl: Polyline, knifePls: Polyline[], isSweep?: boolean): Polyline[];
//# sourceMappingURL=SplitPolyline.d.ts.map