import { Singleton } from "../../Common/Singleton";
import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../UI/Store/BoardStore";
import { OneClickInspectionOption } from "../../UI/Store/OptionInterface/IOptionInterface";
export declare class OneClickInspectionStore extends Singleton implements IConfigStore {
    configName: string;
    m_Option: OneClickInspectionOption;
    configsNames: string[];
    InitOption(): void;
    UpdateOption(cof: IConfigOption<OneClickInspectionOption>): void;
    SaveConfig(): IConfigOption<OneClickInspectionOption>;
    HasInvailValue(): string;
}
export declare const oneClickInspectionStore: OneClickInspectionStore;
//# sourceMappingURL=OneClickInspectionStore.d.ts.map