import { Matrix4 } from 'three';
import { Entity } from '../DatabaseServices/Entity/Entity';
import { IdMaping } from '../DatabaseServices/IdMaping';
import { Command } from '../Editor/CommandMachine';
/**
 * 理想的copy
 *
 * 能保持模块 正常
 * 能保持排钻 正常
 * 能保持层板钉 正常
 * 能保持关联切割 正常
 * 能保持五金 正常
 *
 * 能附加层板钉 完成
 * 能附加关联切割 完成
 * 能附加排钻 完成
 * 能附加五金(铰链 拉手) 完成
 */
export declare class Command_Copy implements Command {
    exec(): Promise<void>;
}
export declare function GetCopyEntsParam(originalEnts: Entity[]): {
    copyEnts: Entity[];
    dbEnts: Entity[];
    idMapRev: IdMaping;
    idMap: IdMaping;
    oldEntsSet: Set<Entity>;
};
export declare function HardCloneObject(dbAllEnts: Entity[], mtx: Matrix4, idMapRev: IdMaping, idMap: IdMaping, oldEntsSet: Set<Entity>): void;
//# sourceMappingURL=Copy.d.ts.map