import { Entity } from "../../DatabaseServices/Entity/Entity";
import { Command } from "../../Editor/CommandMachine";
export declare class ParseHinge implements Command {
    options: {
        name: string;
        key: string;
        checked: boolean;
    }[];
    exec(): Promise<void>;
}
/**
 * 解析铰链在门板上的位置和铰链详细信息
 * @param {Entity[]} doors
 * @param options 需要解析铰链的属性
 * @param filterNoDoor 过滤非门板
 */
export declare function ParseHingeToDoor(doors: Entity[], options: {
    name: string;
    key: string;
    checked: boolean;
}[], filterNoDoor?: boolean): Promise<void>;
//# sourceMappingURL=ParseHinge.d.ts.map