import { Board } from "../../DatabaseServices/Entity/Board";
import { TemplateLeftRightBoardRecord } from "../../DatabaseServices/Template/ProgramTempate/TemplateLeftRightBoardRecord";
import { ClampSpaceParseRay } from "../../Geometry/SpaceParse/ClampSpaceParseRay";
import { IDrawBoard, IDrawLayerBoard, IDrawLeftRightBoard, IDrawTemplate, IDrawTopBottomBoard } from "./DrawTemplateInterface";
export declare function DrawPictureTemplate(data: IDrawTemplate[], basePoint: [number, number], brs?: Board[]): Promise<Board[]>;
export declare function ParseSpaceByBoard(brs: Board[], cen: number[]): Promise<ClampSpaceParseRay>;
export declare function IDrawLeftRightBoardTemplate(attribute: IDrawLeftRightBoard, basePoint: [number, number], brs: Board[]): Promise<TemplateLeftRightBoardRecord>;
export declare function IDrawTopBottomBoardTemplate(attribute: IDrawTopBottomBoard, basePoint: [number, number], brs: Board[]): Promise<void>;
export declare function IDrawLayerBoardTemplate(attribute: IDrawLayerBoard, basePoint: [number, number], brs: Board[]): Promise<void>;
export declare function IDrawVerticalBoardTemplate(attribute: IDrawBoard, basePoint: [number, number], brs: Board[]): Promise<void>;
export declare function IDrawBehindBoardTemplate(attribute: IDrawBoard, basePoint: [number, number], brs: Board[]): Promise<void>;
//# sourceMappingURL=DrawTemplateByData.d.ts.map