import React from "react";
import { Board } from "../../DatabaseServices/Entity/Board";
import { ExtrudeSolid } from "../../DatabaseServices/Entity/Extrude";
interface InputElProp {
    num: number;
    value: number;
    dataProps: {
        parentBoard: Board;
        groove: ExtrudeSolid;
        isRelation: boolean;
        isChange: boolean;
        isCheck: boolean;
    };
    inputEls: React.RefObject<any>[];
}
export declare class InputEl extends React.Component<InputElProp, {}> {
    _inputEl: React.RefObject<HTMLInputElement>;
    _CheckNum(e: React.ChangeEvent<HTMLInputElement>): boolean;
    onKeyDown(e: React.KeyboardEvent<HTMLInputElement>): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=InputEl.d.ts.map