import { Geom3 } from "@jscad/modeling/src/geometries/types";
import { Vec3 } from "@jscad/modeling/src/maths/vec3";
import { Matrix4 } from "three";
export interface PolygonRes {
    vertices: Array<Vec3>;
    plane: [number, number, number, number];
}
export interface Geom3Res {
    polygons: Array<{
        vertices: Array<Vec3>;
        plane: [number, number, number, number];
    }>;
}
export declare function CSGIntersect(csg1: Geom3, csg2: Geom3, csg2tranfrom: Matrix4): Geom3;
//# sourceMappingURL=CSGIntersect.d.ts.map