export declare enum LogType {
    Error = "ERROR",
    Warning = "WARNING",
    Info = "INFO",
    Command = "COMMAND",
    All = "ALL"
}
type LogFunction = (message?: any, ...optionalParams: any[]) => void;
export declare const _LogInjectFunctions: LogFunction[];
export declare function Log(message?: any, ...optionalParams: any[]): void;
export declare const _LogInjectInteractionFunctions: LogFunction[];
export declare function InteractionLog(message?: any, ...optionalParams: any[]): void;
export declare const LogEnable: {
    Display: boolean;
};
export declare const ReportErrorWrap: {
    ReportError: any;
    IsProduction: boolean;
};
export {};
//# sourceMappingURL=Log.d.ts.map