export declare enum BoardType {
    Layer = 0,//层板
    Vertical = 1,//立板
    Behind = 2
}
export declare enum LinesType {
    /** 正纹 */
    Positive = 0,
    /** 反纹 */
    Reverse = 1,
    /** 可翻转 */
    CanReversal = 2
}
export declare const LinesTypeNames: {
    0: string;
    1: string;
    2: string;
};
export declare enum ComposingType {
    Positive = 0,//正面
    Reverse = 1,//反面
    Arbitrary = 2
}
export declare enum BoardOpenDir {
    Left = 1,
    Right = 2,
    Up = 3,
    Down = 4,
    NoOpen = 5,//是门板 但没有开门方向
    None = 0
}
export declare enum BrRelativePos {
    Front = "front",
    Back = "back",
    Top = "top",
    Bottom = "bottom",
    Left = "left",
    Right = "right",
    Div = "div"
}
export declare enum AddRemarkType {
    Cover = 1,//覆盖
    NoCover = 0
}
//# sourceMappingURL=BoardInterface.d.ts.map