import { IObservableValue } from "mobx";
import React from "react";
import { TemplateRoomDoorRecord } from "../../../../../Template/ProgramTempate/TemplateRoomDoorRecord";
import { TemplateWindowRecord } from "../../../../../Template/ProgramTempate/TemplateWindowRecord";
import { DoorWindowPanelStore } from "./WindowPanelStore";
interface WindowTempInfoProps {
    store: DoorWindowPanelStore;
    doorWindowTemp?: TemplateWindowRecord | TemplateRoomDoorRecord;
    logo?: string;
    startLocation?: IObservableValue<string>;
    location?: string;
    showSizeInfo?: boolean;
    interactive?: boolean;
    selectDiv?: HTMLElement;
}
export declare class WindowTempInfo extends React.Component<WindowTempInfoProps> {
    _Logo: string;
    render(): JSX.Element;
    private startSelectTemplate;
    /**
     * @private
     * @return {*}  {number[]} 单个object所处下标
     * @memberof WindowTempInfo
     */
    private getWindowLocation;
}
export declare class DrawWindowTempInfo extends React.Component<WindowTempInfoProps> {
    render(): JSX.Element;
    private startSelectTemplate;
}
export {};
//# sourceMappingURL=WindowTempInfo.d.ts.map