import { CADFiler } from "../../CADFiler";
import { I2DModeling } from "../../Entity/Board";
import { ExtrudeSolid } from "../../Entity/Extrude";
import { ObjectId } from "../../ObjectId";
import { TemplateAction } from "./TemplateAction";
export interface IGrooveFillet {
    Index: number;
    ArcParams: number[];
    Grooves?: IGrooveFillet[];
}
export interface IFilletcActionData {
    Entity: ObjectId;
    ArcParams: number[];
    Grooves?: IGrooveFillet[];
    Path2D?: IGrooveFillet[];
    ArcSweepPathParams?: number[];
}
export declare class TemplateFilletAction extends TemplateAction {
    FilletDatas: IFilletcActionData[];
    constructor();
    protected _Update(paramDiff: number, newValue: number): void;
    protected Fillet(br: ExtrudeSolid | I2DModeling, newValue: number, d: {
        ArcParams: number[];
    }): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateFilletAction.d.ts.map