/**
 * OSMODE
 */
export declare enum ObjectSnapMode {
    None = 0,//无
    End = 1,//端点
    Mid = 2,//中点
    Cen = 4,//圆心
    Node = 8,//节点
    Qua = 16,//象限点
    Int = 32,//交点
    Ins = 64,//插入点
    Per = 128,//垂足
    Tan = 256,//切点
    Nea = 512,//最近点
    NotEntitySnap = 1024,//清除所有对象捕捉
    App = 2048,//外观交点
    Ext = 4096,//延伸
    Par = 8192,//平行
    Axis = 16384,//极轴
    All = 31743
}
//# sourceMappingURL=ObjectSnapMode.d.ts.map