import { Object3D, Vector2, Vector3 } from 'three';
import { IViewer } from '../GraphicsSystem/IView';
import { SelectSetBase } from './SelectBase';
export declare class SelectLine extends SelectSetBase {
    private _StartPt;
    private _EndPt;
    constructor(view: IViewer, _StartPt: Vector2, _EndPt: Vector2);
    get Center(): Vector2;
    IntersectLine(p1: Vector3, p2: Vector3): boolean;
    CheckSelect(obj: Object3D): boolean;
}
//# sourceMappingURL=SelectLine.d.ts.map