import { Object3D, Raycaster, Vector3 } from 'three';
import { IViewer } from '../GraphicsSystem/IView';
import { SelectBox } from './SelectBox';
/**
 * 点选的数据结构
 */
export declare class SelectPick extends SelectBox {
    _PickPointVcs: Vector3;
    _Raycaster: Raycaster;
    constructor(view: IViewer, ptVcs: Vector3, size?: number);
    /**
     * 单选重构了该方法,可以检验对象是否在选择框内
     * @param {Object3D} obj
     * @returns {Boolean}
     */
    IntersectObject(obj: Object3D): boolean;
}
//# sourceMappingURL=SelectPick.d.ts.map