import { Object3D } from 'three';
import { Entity } from '../DatabaseServices/Entity/Entity';
import { SelectSetBase } from './SelectBase';
import { Filter } from './SelectFilter';
export declare class SelectSet {
    constructor();
    /**
     * 选择数据
     */
    _SelectSetList: SelectSetBase[];
    IdSelectMap: Map<number, SelectSetBase>;
    AddSelect(selectData: SelectSetBase): void;
    RemoveSelect(selectData: SelectSetBase): void;
    Clear(): void;
    get SelectSetList(): SelectSetBase[];
    get SelectObjectList(): Array<Object3D>;
    get SelectEntityList(): Entity[];
    get SelectObjectCount(): number;
    Filter(filter: Filter): void;
}
//# sourceMappingURL=SelectSet.d.ts.map