import * as React from 'react';
import "../Css/batchModifyModal.less";
import { BoardStore } from "../Store/BoardStore";
import { IBatchModifyPanelOption } from "../Store/OptionInterface/IOptionInterface";
import { IConfigOption } from "./Board/UserConfigComponent";
export interface IBatchModifyPanelProps {
    store: BatchModifyPanelStore;
}
export declare class BatchModifyPanelStore extends BoardStore {
    m_Option: IBatchModifyPanelOption;
    checkValue: IBatchModifyPanelOption;
    HasInvailValue(): string;
    InitOption(): void;
    SaveConfig(): {
        option: IBatchModifyPanelOption;
    };
    UpdateOption(conf: IConfigOption<IBatchModifyPanelOption>): void;
}
export declare class BatchModifyPanelModal extends React.Component<IBatchModifyPanelProps, {}> {
    private boardSize;
    private event;
    componentDidMount(): void;
    componentWillUnmount(): void;
    SizeInput: (key: string, title: string) => JSX.Element;
    render(): JSX.Element;
    private Ok;
    private Close;
    private getModifyValue;
    private getBoardValue;
}
//# sourceMappingURL=BatchModifyPanelModal.d.ts.map