import { IObservableValue } from "mobx";
import { ArcBoardOptions } from "../../../Add-on/ArcBoard/ArcBoardFeeding";
import { FaceDirection } from "../../../Add-on/DrawDrilling/DrillType";
import { ArcBoardFeedProcess } from "../../../DatabaseServices/Entity/ArcBoardType";
interface ICurveBoardOptionProps {
    showCurveBoardOpt: IObservableValue<boolean>;
    arcBoardOptions: Map<number, ArcBoardOptions>;
    arcBoardConfig: {
        sweepVisibleFace: FaceDirection;
        sweepAngle: number;
        isDrawArcGroove: boolean;
        arcBoardFeedProcess: ArcBoardFeedProcess;
    };
}
export declare const ArcBoardOption: ({ showCurveBoardOpt, arcBoardOptions, arcBoardConfig }: ICurveBoardOptionProps) => JSX.Element;
export {};
//# sourceMappingURL=ArcBoardOption.d.ts.map