import { IObservableValue } from "mobx";
import React from "react";
import { CheckObjectType } from "../../../Common/CheckoutVaildValue";
import { GoodsType, IGoodInfo } from "../../MaterialEditor/GoodsList";
import { IHightDrillOption, IUiOption } from "../../Store/OptionInterface/IOptionInterface";
type IHighEdgeKeyMap = {
    up: string;
    down: string;
    left: string;
    right: string;
};
interface IHighEdgeProcessingModalProps {
    showHighEdgeProcessing: IObservableValue<boolean>;
    option: any;
    UIOption: IUiOption<any>;
    type: CheckObjectType;
    highDrillOption?: IHightDrillOption;
    hasDrill?: boolean;
    isDrillLock?: boolean;
    hasRemark?: boolean;
    sealValueMap?: IHighEdgeKeyMap;
    sealColorMap?: IHighEdgeKeyMap;
    reservedEdgeMap?: IHighEdgeKeyMap;
    remarkMap?: IHighEdgeKeyMap;
}
export declare const HighEdgeProcessingModal: (props: IHighEdgeProcessingModalProps) => JSX.Element;
interface ISealMaterialProps {
    type: GoodsType;
    option: any;
    optKey: string;
    onChange: (e: any) => void;
    handleSelect: (good: IGoodInfo) => void;
    style?: React.CSSProperties;
}
export declare const SealMaterialComponent: (props: ISealMaterialProps) => JSX.Element;
export {};
//# sourceMappingURL=HighEdgeProcessingModal.d.ts.map