import { Box3, Matrix4, Vector3 } from "three";
import { Board } from "../../../DatabaseServices/Entity/Board";
export declare class SideModelingEditor {
    private Board;
    private SideFaces;
    private AroundBoardMesh;
    private SideModelEdgeGeom;
    private CurrentFace;
    private CurrentFaceIndex;
    private CurrentFaceOCS;
    private CurrentFaceOCSInv;
    private CurrentSideContour;
    private Editoring;
    private CameraFiler;
    private OpacityBak;
    private BackUCSMatrix;
    private BackVisibleUCS;
    private RenderTypeBak;
    private ShowSaveCancleButton;
    constructor(br: Board);
    StartEditor: () => Promise<void>;
    AddModelingCurve(): void;
    private Init;
    private ShowToaster;
    private RenderToasterMessage;
    private ParseCurveLinkGroup;
    private AddModeling;
    private Start;
    private EndEditor;
    private SelectSideFace;
}
export declare function RotateCamera(UCSMatrix: Matrix4, box: Box3, lookAtDir: Vector3, totalSegments?: number, cameraUpDir?: Vector3): Promise<void>;
//# sourceMappingURL=SideModelingEditor.d.ts.map