import { Singleton } from "../../../Common/Singleton";
import { IConfigStore } from "../../Store/BoardStore";
import { DatalistConfigOption } from "../../Store/OptionInterface/IOptionInterface";
import { IConfigOption } from "../Board/UserConfigComponent";
export declare class DatalistStore extends Singleton implements IConfigStore {
    configName: string;
    m_Option: DatalistConfigOption;
    configsNames: string[];
    InitOption(): void;
    UpdateOption(cof: IConfigOption<DatalistConfigOption>): void;
    SaveConfig(): IConfigOption<DatalistConfigOption>;
}
export declare const datalistStore: DatalistStore;
//# sourceMappingURL=DatalistStore.d.ts.map