import { Intent, NumericInput } from "@blueprintjs/core";
import React from "react";
interface INumericInputProps {
    value: number;
    canNull?: boolean;
    min?: number;
    max?: number;
    stepSize?: number;
    float?: number;
    onValueChange?: (valueAsNumber: number) => void;
    onBlur?: (e: React.FocusEvent<HTMLInputElement, Element>) => void;
    style?: React.CSSProperties;
    tooltip?: boolean;
    tooltipValue?: string;
    intent?: Intent;
    inputRef?: React.RefObject<NumericInput>;
}
export declare class INumericInput extends React.Component<INumericInputProps, {}> {
    _InputRef: React.RefObject<NumericInput>;
    _Float: number;
    _Value_Min: number;
    _Value_Max: number;
    _CanNull: boolean;
    _InitialValue: number | string;
    _Intent: Intent;
    _Value: number | string;
    _isPopoverOpen: boolean;
    componentDidUpdate(prevProps: INumericInputProps): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=INumericInput.d.ts.map