import * as React from 'react';
import { PhysicalMaterialRecord } from '../../DatabaseServices/PhysicalMaterialRecord';
import { MaterialTable } from '../../DatabaseServices/Tables/MaterialTable';
import { Asset } from './Asset';
import './MaterialExplorer.less';
export declare const MATERIALLOCK = "\u6750\u8D28\u9501";
export declare const EDITMATERIAL = "\u7F16\u8F91\u6750\u8D28";
/**
 * 材质浏览器
 * 没有使用装饰器来实现右键菜单的原因:
 * https://github.com/palantir/blueprint/issues/2972
*/
export declare class MaterialExplorer extends React.Component<{
    materialTable: MaterialTable;
}, {}> {
    private _MaterialListPanelRef;
    AssetRefs: React.RefObject<Asset>[];
    private _selectMtls;
    private _RemoveFunc;
    constructor(p: any, s: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    updateAssetRef: () => void;
    handleDrop: (e: DragEvent) => Promise<void>;
    handleClick: (mat: PhysicalMaterialRecord) => void;
    render(): JSX.Element;
    handleCreateMaterial: () => void;
}
//# sourceMappingURL=MaterialExplorer.d.ts.map