import { Box3 } from "three";
import { Singleton } from "../../../Common/Singleton";
import { Entity } from "../../../DatabaseServices/Entity/Entity";
export declare class InterfereAnimation extends Singleton {
    private isAnimating;
    private animationInterval;
    private previousEns;
    calculateViewHeightForBox(box: Box3): number;
    /**
     * 第一次将相机调整到选中的实体都在视图范围内
     * 相机后退到可以看见当前干涉实体和上次实体的包围盒
     * 移动到干涉实体的位置
     * 放大相机到目标位置
     *
     * @param box 干涉部分的包围盒
     * @param selectEnts 选中的实体
     * @param ens 被干涉的实体
     * @param isFirstExecution 是否需要调整选中的实体都在视图范围内
     */
    ZoomToBox(box: Box3, selectEnts: any, ens: Entity[], isFirstExecution: boolean): Promise<void>;
}
//# sourceMappingURL=InterfereAnimation.d.ts.map