import { IObservableValue } from 'mobx';
import * as React from 'react';
import { IKnifeProps, IUiOption } from "../../../Store/OptionInterface/IOptionInterface";
import { IDirectoryProps } from '../../SourceManage/CommonPanel';
export interface IKnifeListProps {
    deleteFun?: (topline: {
        topline_id: any;
    }) => void;
    dataList?: any[];
    select?: (e: React.FormEvent<HTMLInputElement>, data: any) => void;
    draw: (id: string) => void;
    isRename: IObservableValue<boolean>;
    updata: (name: string, dir: IDirectoryProps, call: Function) => void;
    getData?: () => void;
    info: {
        id: string;
        name: string;
        props: IKnifeProps;
    };
    selectIds?: Set<string>;
    showInfos?: boolean;
}
export declare class KnifeList extends React.Component<IKnifeListProps, {
    isContextMenuOpen: boolean;
}> {
    private _cameraFiler;
    uiData: IUiOption<IKnifeProps>;
    private originProps;
    constructor(props: any);
    private handleDbClick;
    private handleMounseDown;
    private exitEditor;
    private renderToasterMessage;
    private startEditorTopline;
    private handleUpdateKnife;
    private showContextMenu;
    componentDidMount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=KnifeList.d.ts.map