import { Task } from "../../../Common/ThreadPool/Task";
export interface TaskItem {
    id: any;
    name: string;
    time: number;
}
export default class TaskStore {
    /** 正在执行的列表 */
    workerList: TaskItem[];
    /** 剩余任务的列表 */
    taskList: TaskItem[];
    /** 定时器 */
    timed: any;
    /** 是否关闭 */
    isClose: boolean;
    /** 更新运行时间 */
    UpdateTime: () => void;
    /** 获取任务列表 */
    GetTaskList(task?: Task): void;
    private static _SingleInstance;
    static GetInstance(): TaskStore;
}
//# sourceMappingURL=TaskStore.d.ts.map