import { Component } from 'react';
import { RoomBase } from '../../../../DatabaseServices/Room/Entity/RoomBase';
import { DoorWindowPanelStore } from '../../../../DatabaseServices/Room/Entity/Wall/Hole/Window/WindowPanelStore';
import { TemplateRoomDoorRecord } from '../../../../DatabaseServices/Template/ProgramTempate/TemplateRoomDoorRecord';
import { TemplateWindowRecord } from '../../../../DatabaseServices/Template/ProgramTempate/TemplateWindowRecord';
import RoomBaseParamsStore from "./RoomBaseParamsStore";
export declare enum Location {
    Left = "left",
    Middle = "middle",
    Right = "right",
    All = "all"
}
interface RoomBaseParamsProps {
    RoomBaseParamsStore: RoomBaseParamsStore;
    DoorWindowPanelStore: DoorWindowPanelStore;
    RoomBasseEnts: RoomBase[];
    DoorWindowTemp: TemplateWindowRecord | TemplateRoomDoorRecord;
}
export default class RoomBaseParams extends Component<RoomBaseParamsProps, {}> {
    _TempHasWindow(): boolean;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=RoomBaseParams.d.ts.map