import { ApplicationService } from '../../ApplicationServices/Application';
import { MaterialContainerProps } from '../Components/MaterialContainer';
export declare let appUi: WebCAD;
export declare class WebCAD {
    app: ApplicationService;
    constructor();
    initRootLayout(): void;
    renderMain(): void;
    renderTopPanel(): void;
    renderTopToolBar(): void;
    renderDownPanel(): void;
    renderRightPanel(): void;
    renderCommandInput(): void;
    renderCameraControlButton(): void;
    renderToolBar(): void;
    renderMouseUI(): void;
    renderVirtualKeys(): void;
    renderCameraState(): void;
    renderTaskState(): void;
    renderAxisMode(): void;
    showMaterialEditor(props: MaterialContainerProps): void;
    CanvasOnsizeEvent(): void;
}
//# sourceMappingURL=ApplicationLayout.d.ts.map