import * as React from 'react';
export declare enum GoodsType {
    board = 1,
    comp = 2,//组件
    metals = 3,//五金
    sealMaterial = 4
}
export interface IGoodInfo {
    goods_id: string;
    goods_sn: string;
    name: string;
    color: string;
    material: string;
    thickness: number;
}
interface IGoodsListProps {
    select: (good: IGoodInfo) => void;
    goods_type?: GoodsType;
    onClose: () => void;
}
export declare class GoodsList extends React.Component<IGoodsListProps> {
    private timeId;
    searchStr: string;
    goods: any[];
    info: {
        count: number;
        currentPage: number;
        pageCount: number;
    };
    /** 板材类型 */
    class_id: string;
    /** 设置板材类型 */
    SetClassId: (id: string) => void;
    private isDesc;
    UNSAFE_componentWillMount(): void;
    render(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleSearch: (page?: number, params?: {}) => Promise<void>;
    private handleKeyDown;
    private handleHideSelect;
    private handleOrderGoods;
}
interface ITreeNode {
    id: string;
    label: string;
    childNodes?: ITreeNode[];
}
export declare class TreeCondition extends React.Component<{
    Search: (page?: number, params?: {}) => Promise<void>;
    SetClassId: (id: string) => void;
    class_type: GoodsType;
}> {
    constructor(props: any);
    current: string;
    isShow: boolean;
    isEnabled: boolean;
    contents: ITreeNode[];
    UNSAFE_componentWillMount(): void;
    Init: () => Promise<void>;
    AllExpanded: () => void;
    ClearSelected: () => void;
    HandleClick: (node: any) => void;
    HandleCollapse: (node: any) => void;
    HandleExpand: (node: any) => void;
    HandleFocus: () => void;
    render(): React.ReactNode;
}
type TNode = Record<string, any>;
/**
 * 解析树形结构
 * @function
 * @description 用于把一个映射结构，按一定规则，映射成另一个树形结构
 * @param {Tree} tree 旧的树形结构
 * @param {Function} mapRule 映射规则
 */
export declare const parseTree: (tree: TNode[], mapRule?: (item: TNode, index: number) => TNode, oldChildKey?: string, newChildKey?: string) => any[];
export {};
//# sourceMappingURL=GoodsList.d.ts.map