import { Singleton } from "../../Common/Singleton";
import { Entity } from "../../DatabaseServices/Entity/Entity";
export declare class EntityStore extends Singleton {
    currentEnType: string;
    enMap: Map<string, Set<Entity>>;
    colorIndex: number;
    colorSet: Set<number>;
    displayAccuracy: number;
    displayAccuracySet: Set<number>;
    AddEntitysToMap(ens: Entity[]): void;
    get IsWorking(): boolean;
    /** 是否可以双击实体，显示特性弹窗 */
    get IsCanShowProperties(): boolean;
    GetEntitys(): Entity[];
    GetCurrentAccuracy(): void;
    GetCurrentColor(): void;
}
/** 是否需要显示独立精度 */
export declare function IsHasDisplayAccuracy(ent: Entity): boolean;
//# sourceMappingURL=EntityStore.d.ts.map