import { IBaseOption } from "./IOptionInterface";
export declare enum ForBoardNameType {
    Same = "same",
    NoSame = "nosame",
    Include = "include",
    NoInclude = "noinclude"
}
export interface IAutoDimBrsOption extends IBaseOption {
    total: boolean;
    out: boolean;
    inW: boolean;
    inH: boolean;
    noRepeat: boolean;
    noSmSize: boolean;
    noAppointSize: boolean;
    noInSize: boolean;
    noShowMinSize: number;
    noShowMinInSize: number;
    noShowAppointSizes: string;
    useParseGroups: string;
    forBoardName: boolean;
    forBoardNameStr: string;
    forBoardNameType: ForBoardNameType;
    insideOffset: boolean;
    insideOffsetDist: number;
}
export interface IFastDimOption extends IBaseOption {
    filterSmallSize: boolean;
    filterSmallSizeValue: number;
    filterAppointSize: boolean;
    filterAppointSizeValues: string;
    filterAppointForBoardName: boolean;
    conditionType: ForBoardNameType;
    filterAppointForBoardNameValues: string;
}
//# sourceMappingURL=AutoDimBrsOption.d.ts.map