import { IConfigOption } from "../Components/Board/UserConfigComponent";
import { IConfigStore } from "./BoardStore";
import { IUiOption } from "./OptionInterface/IOptionInterface";
import { IR2WROption } from "./WineRackInterface";
export declare class Rect2WinerackStore implements IConfigStore {
    configName: string;
    configsNames: any[];
    option: IR2WROption;
    uiOption: IUiOption<IR2WROption>;
    get UIOption(): IUiOption<IR2WROption>;
    InitOption(): void;
    SaveConfig(): {
        option: IR2WROption;
    };
    UpdateOption(cof: IConfigOption<IR2WROption>): void;
    HasInvailValue(): string;
}
export declare const rect2WinerackStore: Rect2WinerackStore;
//# sourceMappingURL=Rect2WinerackStore.d.ts.map