import { Database } from "../../../DatabaseServices/Database";
import { TemplateRecord } from "../../../DatabaseServices/Template/TemplateRecord";
import { ICFHardware, ICFTemplate, ICFTopline } from "../Import/CFInterface";
export declare function ParseTemplate(temp: ICFTemplate, cuDb: Database): Promise<TemplateRecord>;
export declare function GetTemplate(temp: ICFTemplate, cuDb: Database): Promise<TemplateRecord>;
export declare function ParseHardware(el: ICFHardware, cuDb: Database): Promise<TemplateRecord | import("../../../DatabaseServices/Hardware/HardwareCompositeEntity").HardwareCompositeEntity>;
export declare function ParseTopline(el: ICFTopline, cuDb: Database): Promise<import("../../../DatabaseServices/Hardware/HardwareTopline").HardwareTopline>;
//# sourceMappingURL=ParseHardwareAndTemplate.d.ts.map