import { Box3, Vector3 } from "three";
import { AlignedDimension } from "../../../DatabaseServices/Dimension/AlignedDimension";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { Command } from "../../../Editor/CommandMachine";
declare enum Direction {
    None = 0,
    left = 1,
    right = 2,
    down = 4,
    top = 8
}
export declare class Command_FastDimBrs implements Command {
    exec(): Promise<void>;
}
export declare class FastDimTool {
    brs: Board[];
    ucs: import("three").Matrix4;
    ucsInv: import("three").Matrix4;
    allBox: Box3;
    footss: [number[], number[]];
    enableDimAll: boolean;
    filterSmallSize: boolean;
    filterSmallSizeValue: number;
    filterAppointSize: boolean;
    filterAppointSizeValues: Set<string>;
    roomName: string;
    cabinetName: string;
    constructor(brs: Board[]);
    CreateDims(dir: Direction, pUcs: Vector3): AlignedDimension[];
}
export {};
//# sourceMappingURL=FastDim.d.ts.map