import { Entity } from "../../../DatabaseServices/Entity/Entity";
export declare function GetCadViewFile(entities: Entity[]): Uint8Array;
export declare function UploadCadViewFile(file: Uint8Array): Promise<string>;
export type CadView2OrderDto = {
    Items: Array<{
        ItemNo: number;
        DataID: number;
        RoomID: number;
        BoxID: number;
    }>;
    Goods: Array<{
        GoodsID: number;
        Color: string;
        Material: string;
        MaterialName: string;
    }>;
    Blocks: Array<{
        ID: number;
        BoardName: string;
        GoodsID: number;
        Width: number;
        Height: number;
        Thickness: number;
        SealedLeft: number;
        SealedRight: number;
        SealedUp: number;
        SealedDown: number;
    }>;
    Modules: Array<{
        ID: number;
        Name: string;
        ModuleType: number;
    }>;
};
export declare function getCadViewInfo(query: {
    ItemNo: number;
}): Promise<{
    CadViewList: string[];
    OrderDto: CadView2OrderDto;
}>;
//# sourceMappingURL=CadViewUtil.d.ts.map