import React from "react";
import { ModalState } from "../../UI/Components/Modal/ModalInterface";
import './ConfigPanelStyle.less';
import { HoleGrooveDimStore } from "./ConfigStore";
declare enum TextAreaType {
    sHoleInfo = "sHoleInfo",
    fBHoleInfo = "fBHoleInfo",
    brInfo = "brInfo"
}
export declare class HoleGrooveDimConfigModal extends React.Component<{
    store: HoleGrooveDimStore;
}> {
    _Event: Function;
    _MoveItem: {
        type: TextAreaType;
        value: string;
    };
    _DragToTextarea: TextAreaType;
    _SHoleInfoList: JSX.Element[];
    _FBHoleInfoList: JSX.Element[];
    _BrInfoDimList: JSX.Element[];
    constructor(props: {
        store: HoleGrooveDimStore;
    });
    createList(list: [string, string][], type: TextAreaType): JSX.Element[];
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleDragStart: (e: React.DragEvent) => void;
    handleDragOver: (e: React.DragEvent) => void;
    handleDragend: () => void;
    _Return: (status: ModalState) => void;
    updateInfo(key: TextAreaType, value: string): void;
    textAreaEle(key: TextAreaType, list: JSX.Element[], textAreaStyle: React.CSSProperties, ulStyle: React.CSSProperties): JSX.Element;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ConfigPanel.d.ts.map