import { Command } from '../Editor/CommandMachine';
export declare class Save implements Command {
    NoHistory: boolean;
    exec(): Promise<void>;
}
export declare class New implements Command {
    NoHistory: boolean;
    exec(): Promise<void>;
}
export declare class SaveAs implements Command {
    NoHistory: boolean;
    exec(): Promise<void>;
}
export declare class SaveToLocal implements Command {
    NoHistory: boolean;
    exec(): Promise<void>;
}
export declare class SaveToDxf implements Command {
    NoHistory: boolean;
    exec(): Promise<void>;
}
/**
 * 上传文件到文件的历史记录
 * @param [fileDataStr] 文件经过压缩并且base64后的结果
 */
export declare function UploadFileHistory(fileDataStr?: string): void;
//# sourceMappingURL=Save.d.ts.map