import { IBaseOption } from "../../UI/Store/OptionInterface/IOptionInterface";
export declare enum EditViewOptionKey {
    hight = "hight",//文字高度
    renderType = "renderType",//视图
    renderTypeValue = "renderTypeValue",//视图值
    viewDir = "viewDir",//视角
    viewDirValue = "viewDirValue",//视角值
    roomName = "roomName",//房间名
    cabinetName = "cabinetName",//柜名
    boardMaterialName = "boardMaterialName",//板材名
    material = "material",//材料
    color = "color",//颜色
    page = "page",//页码
    date = "date",//时间
    designer = "designer",//设计师
    sheetName = "sheetName",//图纸名称
    hideDoor = "hideDoor",//隐藏门板
    hideDrawer = "hideDrawer",//隐藏抽屉
    hideDim = "hideDim",//隐藏标注
    hideCurve = "hideCurve",//隐藏曲线
    hideModel = "hideModel",//隐藏模型
    hideLayer = "hideLayer",//隐藏图层
    hideLayerValue = "hideLayerValue",//隐藏图层值
    showLayer = "showLayer",//显示图层
    showLayerValue = "showLayerValue"
}
export interface EditViewOption extends IBaseOption {
    [EditViewOptionKey.hight]: number;
    [EditViewOptionKey.renderType]: boolean;
    [EditViewOptionKey.renderTypeValue]: string;
    [EditViewOptionKey.viewDir]: boolean;
    [EditViewOptionKey.viewDirValue]: string;
    [EditViewOptionKey.roomName]: boolean;
    [EditViewOptionKey.cabinetName]: boolean;
    [EditViewOptionKey.boardMaterialName]: boolean;
    [EditViewOptionKey.material]: boolean;
    [EditViewOptionKey.color]: boolean;
    [EditViewOptionKey.page]: boolean;
    [EditViewOptionKey.date]: boolean;
    [EditViewOptionKey.designer]: boolean;
    [EditViewOptionKey.sheetName]: boolean;
    [EditViewOptionKey.hideDoor]: boolean;
    [EditViewOptionKey.hideDrawer]: boolean;
    [EditViewOptionKey.hideDim]: boolean;
    [EditViewOptionKey.hideCurve]: boolean;
    [EditViewOptionKey.hideModel]: boolean;
    [EditViewOptionKey.hideLayer]: boolean;
    [EditViewOptionKey.hideLayerValue]: string;
    [EditViewOptionKey.showLayer]: boolean;
    [EditViewOptionKey.showLayerValue]: string;
}
//# sourceMappingURL=EditViewOption.d.ts.map