import React from "react";
import { Singleton } from "../../../Common/Singleton";
import { IConfigOption } from "../../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../../UI/Store/BoardStore";
import { IUiOption } from "../../../UI/Store/OptionInterface/IOptionInterface";
import '../Modals/Curve2Rec.less';
import { Curve2RecOption } from "./Curve2RecOption";
export declare class Curve2RecModalStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: Curve2RecOption;
    protected uiOption: IUiOption<Curve2RecOption>;
    get UIOption(): IUiOption<Curve2RecOption>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../../../UI/Store/OptionInterface/IOptionInterface").AnyObject>;
    UpdateOption(cof: IConfigOption<Curve2RecOption>): void;
    HasInvailValue(): string;
    Cancel(): void;
    OnOk(): void;
}
export declare class Curve2RecModal extends React.Component<{
    store: Curve2RecModalStore;
}, {}> {
    private removeFuncs;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=Curve2RecModal.d.ts.map