import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../UI/Store/BoardStore";
import { IUiOption } from "../../UI/Store/OptionInterface/IOptionInterface";
import { IRect2Br2Option } from "./R2bInterface";
export declare class R2B2Store implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: IRect2Br2Option;
    uiOption: IUiOption<IRect2Br2Option>;
    constructor();
    get UIOption(): IUiOption<IRect2Br2Option>;
    protected InitDrillType(): void;
    InitOption(): void;
    SaveConfig(): {
        option: IRect2Br2Option;
    };
    UpdateOption(conf: IConfigOption<IRect2Br2Option>): void;
    HasInvailValue(): string;
    OnHandleUseBoardProcessOptionChange(): void;
}
export declare const r2b2Store: R2B2Store;
//# sourceMappingURL=R2B2Store.d.ts.map