/**统一板件属性key的命名，修改值会导致无法 .xxx该属性 */
export declare enum EBoardKeyList {
    Height = "height",
    Width = "width",
    Thick = "thickness",
    RoomName = "roomName",
    CabinetName = "cabinetName",
    PaperName = "paperName",
    BrName = "brName",
    BrMat = "boardName",//板材
    Mat = "material",//材料
    Color = "color",
    Lines = "lines",//纹路
    ProcessGroup = "ProcessGroup",
    BigHole = "bigHoleDir",
    /**
     * 排钻类型,当没有定义每个边的排钻数据时,使用统一的排钻类型
     */
    DrillType = "drillType",
    ComposingFace = "composingFace",//排版面
    /**
     * 封边数组,定义每个边的封边信息
     */
    HighSealed = "highSealed",
    UpSealed = "sealedUp",
    DownSealed = "sealedDown",
    LeftSealed = "sealedLeft",
    RightSealed = "sealedRight",
    KnifeRad = "knifeRadius",
    SpliteHeight = "spliteHeight",
    SpliteWidth = "spliteWidth",
    SpliteThickness = "spliteThickness",
    DrawNumber = "drawNumber",
    Remarks = "remarks",//备注
    ExtraRemarks = "extraRemarks",//追加备注
    OpenDir = "openDir",//开门方向
    GroovesAddLength = "GroovesAddLength",//槽加长
    GroovesAddWidth = "GroovesAddWidth",//槽加宽
    GroovesAddDepth = "GroovesAddDepth",//槽加深
    FrontDrill = "frontDrill",//正面排孔
    BackDrill = "backDrill",//反面排孔
    SelectRoomCabinet = "selectRoomCabinet"
}
//# sourceMappingURL=BoardKeyList.d.ts.map