import { Material, Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { RadiusDimension } from "./RadiusDimension";
export declare class DiameterDimension extends RadiusDimension {
    protected _TextString: string;
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(renderType: RenderType, obj: Object3D): void;
    UpdateDrawObjectMaterial(renderType: RenderType, obj: Object3D, material?: Material): void;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
}
//# sourceMappingURL=DiameterDimension.d.ts.map