import { ClampSpaceParse } from "../../../Geometry/SpaceParse/ClampSpaceParse";
import { ClampSpaceParseFix } from "../../../Geometry/SpaceParse/ClampSpaceParseFix";
import { CADFiler } from "../../CADFiler";
import { Entity } from "../../Entity/Entity";
import { ObjectId } from "../../ObjectId";
import { Positioning, PositioningParam } from "./Positioning";
export declare class PositioningClampSpace extends Positioning {
    Objects: ObjectId<Entity>[];
    SelectBoxIndex: number[];
    SignalDist: number;
    FromSpaceParse(parse: ClampSpaceParse): void;
    _SpaceParse: ClampSpaceParseFix;
    /**
    * 定位
    */
    Positioning(param?: PositioningParam): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=PositioningClampSpace.d.ts.map