import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { IGrooveOption, VerticalBoardOption } from "../../../UI/Store/OptionInterface/IOptionInterface";
import { CADFiler } from "../../CADFiler";
import { ObjectId } from "../../ObjectId";
import { TemplateBoardRecord } from "./TemplateBoard";
/**
 * 立板模板
 */
export declare class TemplateVerticalBoard extends TemplateBoardRecord {
    constructor();
    protected _option: VerticalBoardOption;
    private grooveOption;
    set GrooveOption(option: IGrooveOption);
    get Option(): VerticalBoardOption;
    set Option(option: VerticalBoardOption);
    IntersectSpaceEntitys: Set<ObjectId>;
    IntersectHighDrill: string[];
    GeneralBoardList(space: ISpaceParse): Promise<import("../../Entity/Board").Board[]>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateVerticalBoard.d.ts.map