import { ShaderMaterialParameters, Vector3 } from "three";
export declare function GetGoochShader(): {
    uniforms: {
        LightPosition: {
            type: string;
            value: Vector3;
        };
        SurfaceColor: {
            type: string;
            value: Vector3;
        };
        WarmColor: {
            type: string;
            value: Vector3;
        };
        CoolColor: {
            type: string;
            value: Vector3;
        };
        DiffuseWarm: {
            type: string;
            value: number;
        };
        DiffuseCool: {
            type: string;
            value: number;
        };
        opacity: {
            type: string;
            value: number;
        };
    };
    vertexShader: any;
    fragmentShader: any;
};
export declare function GetGoodShaderSimple(color?: Vector3, side?: import("three").Side, logBuf?: boolean, opacity?: number): ShaderMaterialParameters;
//# sourceMappingURL=GoochShader.d.ts.map