import { Circle } from "../DatabaseServices/Entity/Circle";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
import { IContourData } from "../Production/Convert2PtsBul";
/**
 * 转换成多段线点表,并且将圆弧打断(大于1/4的话)  API仅用于开料生产
 * @param cu 多段线或者圆弧
 * @param [isOutline=true] 如果为外部轮廓,则将其转换为逆时针
 * @param [isSplite=true] 如果为true,则对大圆弧进行切割
 * @returns 点表+凸度表
 */
export declare function ConverToPolylineAndSplitArc(cu: Polyline | Circle, isOutline?: boolean, isSplite?: boolean): IContourData;
//# sourceMappingURL=ConverToPolylineAndSplitArc.d.ts.map