import { Point } from "../Common/Point";
import { Path } from "./Path";
export declare class NestCache {
    static CachePartPosCount: number;
    static CacheNoSetCount: number;
    private static _PositionCache;
    private static _PosCacheCount;
    private static _NoPutCache;
    private static _NoPutCacheCount;
    static SetPos(key: string, value: Point): void;
    static GetPos(key: string): Point;
    static SetNoPut(key: string, value: Set<number>): void;
    static GetNoPut(key: string): Set<number>;
    /**
     * 用于创建原点在0点的矩形路径
     */
    static CreatePath(x: number, y: number, knifRadius?: number): Path;
    static Clear(): void;
}
//# sourceMappingURL=NestCache.d.ts.map