import * as React from 'react';
import { ColorResult } from "react-color";
import { ICursorConfig } from "../../../../Editor/ICursorConfig";
import { IUiOption } from "../../../Store/OptionInterface/IOptionInterface";
import { ConfigStore } from "./ConfigDialog";
import './ConfigPanelStyle.less';
export declare const ColorList: [string, number][];
export declare class DisplayConfigPanel extends React.Component<{
    store: ConfigStore;
}> {
    private currentOpt;
    private _OpenColorPick;
    _AAType: string;
    _ZoomSpeed: number;
    private errorMsg;
    private errorOpaticy;
    private errorStr;
    isShow: boolean;
    _inputEl1: React.RefObject<HTMLInputElement>;
    _inputEl2: React.RefObject<HTMLInputElement>;
    _inputElOpacity: React.RefObject<HTMLInputElement>;
    _SpeedInputEl: React.RefObject<HTMLInputElement>;
    _SpeedInputEl1: React.RefObject<HTMLInputElement>;
    _SpeedInputEl2: React.RefObject<HTMLInputElement>;
    _SpeedInputEl3: React.RefObject<HTMLInputElement>;
    _SpeedInputEl4: React.RefObject<HTMLInputElement>;
    _IsPopoverOpen: boolean;
    _CursorUiData: IUiOption<ICursorConfig>;
    UNSAFE_componentWillMount(): void;
    handleChangeColor: (color: ColorResult) => void;
    handleChangeEdgeColor: (e: React.MouseEvent<HTMLUListElement>, type: string) => void;
    render(): JSX.Element;
    checkSplitNum(e: React.ChangeEvent<HTMLInputElement>, i: number): void;
    checkValue(e: React.ChangeEvent<HTMLInputElement>, i: number): void;
    /** 校验透明度的合法性 */
    checkValueOpacity(e: React.ChangeEvent<HTMLInputElement>): void;
    handleClick: () => void;
}
//# sourceMappingURL=DisplayConfigPanel.d.ts.map