import * as React from 'react';
import { Entity } from '../../../DatabaseServices/Entity/Entity';
import { BaseHardwareStore } from '../../Store/RightPanelStore/HardwareStore';
import { EMetalsType } from './RightPanelInterface';
export interface ICommonMetalPanelProps {
    store: BaseHardwareStore;
    compositeType?: EMetalsType;
    isTopline?: boolean;
    entity?: Entity;
}
export declare class CommonMetalPanel extends React.Component<ICommonMetalPanelProps> {
    private size;
    private length;
    private showAlert;
    private tags;
    private _ShowShops;
    private updateTags;
    private onProcessInputDbClick;
    private onAlertConfirm;
    private getOption;
    private handleOpenShopList;
    componentDidMount(): void;
    constructor(props: any);
    private RoomAndCabinetName;
    private ProcessingGroupAndPrice;
    private MetalParam;
    private EntityInfo;
    render(): JSX.Element;
}
//# sourceMappingURL=CommonMetalPanel.d.ts.map