import { IObservableValue } from 'mobx';
import * as React from 'react';
export interface IImgListProps {
    deleteFun?: (mtl?: any) => void;
    dataList?: any[];
    select?: (e: any, data: any) => void;
    getData?: () => void;
    selectIds?: Set<string>;
    showInfos?: boolean;
    isShowSize?: boolean;
    startCreateMat?: IObservableValue<boolean>;
    liStyle?: React.CSSProperties;
    isRightToolbar?: boolean;
}
export declare class MaterialList extends React.Component<IImgListProps, {}> {
    static defaultProps: Partial<IImgListProps>;
    state: {
        isOpen: boolean;
    };
    private readyMtl;
    private editor;
    private handleDragStart;
    private handleApply;
    private applyMtl;
    private renameMtl;
    private coverMtl;
    private applyEntity;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private showContextMenu;
    private copyid;
    private publishTemplate;
    private handleOpen;
    private handleClose;
}
export declare function GetMtlJson(mat: {
    material_id: string;
}): Promise<string | undefined>;
//# sourceMappingURL=MaterialList.d.ts.map