import React from "react";
import { Entity } from "../../../DatabaseServices/Entity/Entity";
declare enum EntType {
    AlignDim = "AlignedDimension",
    Line = "Line",
    PolyLine = "Polyline",
    Circle = "Circle",
    Arc = "Arc",
    Curve = "Curve",
    Extrude = "Extrude",
    Text = "Text",
    LineAngularDimension = "LineAngularDimension",
    DiameterDimension = "DiameterDimension",
    RadiusDimension = "RadiusDimension",
    LinearDimension = "LinearDimension",
    ArcDimension = "ArcDimension",
    Dimension = "Dimension",
    Board = "Board"
}
export declare class PropertiesPanel extends React.Component<{}, {}> {
    _IsSelectDimStyle: boolean;
    /** 曲线方向的文字显示 */
    private directionStr;
    /** 是否显示曲线方向 */
    private isShowDirection;
    /** 更新曲线方向文字显示(用它更新,mobx不报错) */
    UpdateDirectionStr: (str: string) => string;
    /** 更新是否显示曲线方向(用它更新,mobx不报错)  */
    UpdateIsShowDirection: (isShow: boolean) => boolean;
    _HandleSelectOnChange(e: React.ChangeEvent<HTMLSelectElement>): void;
    _GetEntsByType(ents: Entity[], type: EntType): Entity[];
    _ChangeDimStyle(styleName: string, ents: Entity[]): void;
    isHaveAccuracy(ents: Entity[]): boolean;
    /** 显示曲线方向 */
    ShowDirectionByEntitys(ents: Entity[]): void;
    render(): JSX.Element;
}
export declare function ShowLayer(ent: Entity): JSX.Element;
export {};
//# sourceMappingURL=PropertiesPanel.d.ts.map