import { ModuleList } from "../ResourceInterfaces";
import { BrandStore } from "./BrandData";
/** 获取所有的品牌 */
export declare const GetBrands: () => Promise<any[]>;
/** 获取品牌下的种类 */
export declare const GetKinds: ({ typeId, brandId }: {
    typeId?: string;
    brandId?: string;
}) => Promise<any>;
/** 获取种类下的模型 */
export declare const GetModels: ({ type, class_id, params, curr_Page, page_count, logo, brands, name }: {
    type?: string;
    class_id?: string;
    params?: any;
    curr_Page?: string;
    page_count?: string;
    logo?: any;
    brands?: any;
    name?: any;
}) => Promise<ModuleList>;
/** 搜索模型 */
export declare const search: (data: typeof BrandStore, setData: Function, params?: {
    name?: string;
    logo?: File;
    curr_Page?: string;
}) => Promise<void>;
//# sourceMappingURL=BrandAPI.d.ts.map