import { Folder, ModuleDetail, ModuleList, PrivateDirsParams, PrivateModuleDirs, PrivateModuleList, RenderClassList, UserCollections, UserFolder } from "./ResourceInterfaces";
export declare function getClassList(class_type: number): Promise<RenderClassList>;
export declare function getModuleList(class_id?: string, params?: object, curr_Page?: string, page_count?: string, logo?: File, brands?: string[], name?: string): Promise<ModuleList>;
export declare function getModuleDetail(module_id: string): Promise<ModuleDetail>;
export declare function GetUserCollectDir(order?: string): Promise<UserFolder>;
export declare function GetUserCollection(folder?: Folder, page?: string, pageCount?: string, class_id?: string, name?: string): Promise<UserCollections>;
export declare function GetPrivateModuleDirs(): Promise<PrivateModuleDirs>;
export declare function GetPrivateModuleList(query: PrivateDirsParams): Promise<PrivateModuleList>;
//# sourceMappingURL=ResourcesData.d.ts.map