import * as React from 'react';
import { KeyWord } from '../../../Common/InputState';
import { ICommand } from "../CommandPanel/CommandList";
import './InputHint.css';
export declare const CMD_INPUT_ID = "CMD_INPUT_ID";
interface InputHintProps {
    keyWordList: Array<KeyWord>;
    cmdPrompt: string;
    historyCmdList: string[];
    handleInputCallback: (data: string) => any;
}
interface InputHitState {
    isShowHistory: boolean;
    intelliSenseIndex: number;
    intelliSenseCommand: Array<Partial<ICommand>>;
    topToolBarHeight: number;
}
/**
 *
 */
export declare class InputHint extends React.Component<InputHintProps, InputHitState> {
    state: InputHitState;
    private inputEl;
    private _INPUT_MIN_WIDTH;
    private selectIndex;
    private isCNInput;
    /** 移除监听输入框提示词 */
    private _RemoveReaction;
    private coolTime;
    constructor(p: any, s: any);
    /**
     * 创建组件时
     */
    componentDidMount(): void;
    /** 销毁组件时 */
    componentWillUnmount(): void;
    handleOnChangeIntelliSense(cmd: string): void;
    handleShowHistoryCommand: () => void;
    handleCallback(cmd: string): void;
    handleKeyboardEvent: (e: KeyboardEvent) => void;
    private handleIntellSence;
    private Cancel;
    private handlePaste;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=InputHint.d.ts.map