import { IOptionProps, TabId } from "@blueprintjs/core";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { IKnifeProps } from "../OptionInterface/IOptionInterface";
import { BoardEdgeRemarksStore } from "./BoardEdgeRemarksStore";
import { DrillingStore } from "./DrillingStore";
import { LightStore } from "./LightStore";
import { Modeling2Store } from "./Modeling2Store";
import { ModelingStore } from "./ModelingStore";
import { ReservedEdgeStore } from "./ReservedEdgeStore";
import { SealingStore } from "./SealingStore";
export declare class RightPanelStore {
    m_TabId: TabId;
    m_IsShow: boolean;
    currentBoard: Board;
    currentTemplateIndex: number;
    templateParamInputRefs: HTMLInputElement[];
    modelingStore: ModelingStore;
    lightStore: LightStore;
    sealingStore: SealingStore;
    boardEdgeRemarksStore: BoardEdgeRemarksStore;
    reservedEdgeStore: ReservedEdgeStore;
    drillingStore: DrillingStore;
    modeling2Store: Modeling2Store;
    modeling3Store: Modeling2Store;
    knifeMap: Map<string, IOptionProps & {
        props?: IKnifeProps;
    }>;
    private constructor();
    private static _SingleInstance;
    static GetInstance(): RightPanelStore;
    templateParamInputFocus: (keyword: string) => void;
}
//# sourceMappingURL=RightPanelStore.d.ts.map