import { Plane } from "./Plane";
import { Vector2D } from "./Vector2";
import { Vector3D } from "./Vector3";
/** class OrthoNormalBasis
 * Reprojects points on a 3D plane onto a 2D plane
 * or from a 2D plane back onto the 3D plane
 */
export declare class OrthoNormalBasis {
    plane: Plane;
    v: Vector3D;
    u: Vector3D;
    planeorigin: Vector3D;
    constructor(plane: Plane, rightVector?: Vector3D);
    to2D(vec3: Vector3D): Vector2D;
    to3D(vec2: Vector2D): Vector3D;
}
//# sourceMappingURL=OrthoNormalBasis.d.ts.map